Name:    kde-edu-parley
Summary: Vocabulary Trainer 
Summary(de): Vokabeltrainer
Version: 4.14.3
Release: %mkrel 3
Group:   Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/parley-%{version}.tar.xz
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: libkdeedu-devel >= %{version}
Requires: kde-runtime >= %{version}
Requires: libkdeedu >= %{version}
# when split occurred
Conflicts: kdeedu4-parley =< 4.6.5

%description
Parley is a program to help you memorize things.

Parley supports many language specific features but can be used for other
learning tasks just as well. It uses the spaced repetition learning method,
also known as flash cards.

#german
%description -l de
Parley ist ein Vokabelprogramm für KDE. 

Es hilft Ihnen, Ihre Vokabelkenntnisse zu verbessern, wenn Sie eine neue 
Sprache lernen. Parley ist nicht auf das Erlernen von Sprachen beschränkt, 
sondern unterstützt eine Vielzahl von Themen. 

%files
%defattr(-,root,root)
#%doc AUTHORS COPYING
%{_kde_bindir}/parley
%{_kde_appsdir}/parley/
%{_kde_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_kde_datadir}/kde4/services/plasma_parley.desktop
%{_kde_libdir}/kde4/plasma_applet_parley.so
%{_kde_libdir}/kde4/plasma_engine_parley.so
%{_kde_datadir}/applications/kde4/parley.desktop
%{_kde_datadir}/appdata/parley.appdata.xml
%{_kde_datadir}/config.kcfg/parley.kcfg
%{_kde_configdir}/parley.knsrc
%{_kde_configdir}/parley-themes.knsrc
%{_kde_iconsdir}/hicolor/*/*/parley*.*
%{_kde_datadir}/config.kcfg/documentsettings.kcfg
%{_kde_datadir}/config.kcfg/languagesettings.kcfg
%{_kde_appsdir}/desktoptheme/default/widgets/parley_plasma_card.svg
%{_kde_docdir}/HTML/*/parley/*

%prep
%setup -q -n parley-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.3-2pclos2015
- rebuild on 15.04

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Tue Mar 12 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Thu Jan 17 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Tue Jun 05 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-1pclos2012
- rebuild

* Sat May 05 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-1pclos2012
- process

* Sat May 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sun Apr 15 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sat Apr 14 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- 4.8.2

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-1pclos2012
- process

* Sun Feb 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.0-1_archie_2011
- Checked build for x86_64

* Sun Feb 19 2012 leiche <meisssw01 at gmail.com> 4.8.0-1pclos2012
- 4.8.0

